extends Node3D

const DAMAGE_NUMBER = preload("res://src/scenes/ui/damage_number.tscn")

func spawn_damage_number(damage: int, position_in: Vector3, is_critical: bool) -> void:
	var number = DAMAGE_NUMBER.instantiate()
	number.setup(damage, position_in, is_critical)
	add_child(number)
